Checkout Style
Get store checkout style
GEThttps://api.paynow.gg/v1/stores/{storeId}/checkout-style
Retrieves the checkout styling for the store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Response
200OKCheckoutStyleDto
Show fieldsHide fields
store_idFlakeIdRequired
border_radiusintegerOptional
color_backgroundstringOptional
color_elementsstringOptional
color_inputstringOptional
color_outlinestringOptional
color_primarystringOptional
color_textstringOptional
font_familystringOptional
url_backgroundstringOptional
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/checkout-style" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.checkoutStyle.getStoreCheckoutStyle();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/checkout-style", headers=headers)Response200
{
"store_id": "411486491630370816",
"border_radius": 0,
"color_background": "string",
"color_elements": "string",
"color_input": "string",
"color_outline": "string",
"color_primary": "string",
"color_text": "string",
"font_family": "string",
"url_background": "string"
}Update store checkout style
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/checkout-style
Updates the stores checkout style.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Request body
border_radiusintegerOptional
color_backgroundstringOptional
color_elementsstringOptional
color_inputstringOptional
color_outlinestringOptional
color_primarystringOptional
color_textstringOptional
font_familystringOptional
Response
200OKCheckoutStyleDto
Show fieldsHide fields
store_idFlakeIdRequired
border_radiusintegerOptional
color_backgroundstringOptional
color_elementsstringOptional
color_inputstringOptional
color_outlinestringOptional
color_primarystringOptional
color_textstringOptional
font_familystringOptional
url_backgroundstringOptional
Failed requests return a PayNowError body. See the error response guide.
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/checkout-style" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"border_radius": 0,
"color_background": "string",
"color_elements": "string",
"color_input": "string",
"color_outline": "string",
"color_primary": "string",
"color_text": "string",
"font_family": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.checkoutStyle.updateStoreCheckoutStyle({
border_radius: 0,
color_background: "string",
color_elements: "string",
color_input: "string",
color_outline: "string",
color_primary: "string",
color_text: "string",
font_family: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"border_radius": 0,
"color_background": "string",
"color_elements": "string",
"color_input": "string",
"color_outline": "string",
"color_primary": "string",
"color_text": "string",
"font_family": "string",
}
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/checkout-style", headers=headers, json=payload)Response200
{
"store_id": "411486491630370816",
"border_radius": 0,
"color_background": "string",
"color_elements": "string",
"color_input": "string",
"color_outline": "string",
"color_primary": "string",
"color_text": "string",
"font_family": "string",
"url_background": "string"
}Get upload URL for checkout background image
GEThttps://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image/upload_url
Gets a pre-signed upload URL for uploading the hosted checkout background image.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Response
200OKGetCheckoutStyleBackgroundImageUploadUrlResponseDto
Show fieldsHide fields
idstringRequired
upload_urlstringRequired
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image/upload_url" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.checkoutStyle.getStoreCheckoutStyleBackgroundImageUploadUrl();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image/upload_url", headers=headers)Response200
{
"id": "string",
"upload_url": "string"
}Finish checkout background image upload
POSThttps://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image/upload_finish
Finishes an upload of the hosted checkout background image.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Request body
image_idstringRequired
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image/upload_finish" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"image_id": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.checkoutStyle.finishStoreCheckoutStyleBackgroundImageUpload({
image_id: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"image_id": "string",
}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image/upload_finish", headers=headers, json=payload)Delete checkout background image
DELETEhttps://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image
Removes the hosted checkout background image for the store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.checkoutStyle.deleteStoreCheckoutStyleBackgroundImage();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/stores/{storeId}/checkout-style/background-image", headers=headers)